###############################################################################
###############################################################################
##
##  Copyright (c) 2013-2017, Cisco Systems, Inc. All rights reserved.
##
###############################################################################
###############################################################################
%define kmod_name cisco-fnic
%define kmod_rel sles12
Name: %{kmod_name}
License:		GPL-2.0
Group:			System/Kernel
Summary:		Cisco FCoE HBA Driver
Version:		1.6.0.36
Release:		9.1
Source0:		fnic-sles-%version.tgz
Source1:		Module.supported
Source2: 		preamble
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:		%kernel_module_package_buildreqs

%kernel_module_package -p %_sourcedir/preamble

%description
This is a driver package for Cisco's FCoE HBA driver.

%package KMP
Group:          System/Kernel
Summary:        Cisco FCoE HBA Driver

%description KMP
This is a driver package for Cisco's FCoE HBA driver.

%prep
%setup -n fnic-sles-%version
cp %_sourcedir/Module.supported ./drivers/scsi/fnic/
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   BUILD_DIR=$PWD/obj/$flavor
   make -C %{kernel_source $flavor} modules \
	M=$BUILD_DIR/drivers/scsi/fnic \
	SUBTREE_INCLUDE=-I$BUILD_DIR/include
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
mkdir -p $RPM_BUILD_ROOT/bin
for flavor in %flavors_to_build; do
   BUILD_DIR=$PWD/obj/$flavor
   make -C %{kernel_source $flavor} modules_install \
	M=$BUILD_DIR/drivers/scsi/fnic \
	SUBTREE_INCLUDE=-I$BUILD_DIR/include
done

# install script here
install -D -m644 source/tools/bin/fcc $RPM_BUILD_ROOT/bin

%files
%defattr(755,root,root)
/bin/fcc

%changelog

%clean
rm -rf %{buildroot}
